import 'package:germanet_dart/src/germanet.dart';
import 'package:germanet_dart/src/icbased_similarity.dart';
import 'package:germanet_dart/src/path_based_relatedness_measures.dart';
import 'package:germanet_dart/src/semrel_measures.dart';
import 'package:germanet_dart/src/synset.dart';

Future<void> main() async { 

  Germanet g = Germanet('/germanet/GN_V160/GN_V160_XML', loadDataDirectly: false);
  await g.loadData();
  Synset a = g.getSynsetById("s33819");
  Synset b = g.getSynsetById("s29209");

  print([a.id, b.id]);

  print("Checking similarities...");

  PathBasedRelatedness pathBasedRelatedness = PathBasedRelatedness(g, WordCategory.nomen);
  print(SemRelMeasure.SimplePath.name+": "+pathBasedRelatedness.simple_path(a, b).toString());
  print(SemRelMeasure.LeacockAndChodorow.name+": "+pathBasedRelatedness.leacock_chodorow(a, b).toString());
  print(SemRelMeasure.WuAndPalmer.name+": "+pathBasedRelatedness.wu_and_palmer(a, b).toString());
  
  ICBasedSimilarity icBasedSimilarity = ICBasedSimilarity(g, WordCategory.nomen, "/x1.txt");
  print(SemRelMeasure.Lin.name+": "+icBasedSimilarity.lin(a, b).toString());
  print(SemRelMeasure.Resnik.name+": "+icBasedSimilarity.resnik(a, b).toString());
  print(SemRelMeasure.JiangAndConrath.name+": "+icBasedSimilarity.jiang_and_conrath(a, b).toString());
}
